orientation.h File Reference
`#include <ubuntu/status.h>`
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/sensors/event/orientation.h>`
Include dependency graph for orientation.h:

Go to the source code of this file.

## Typedefs

typedef void | UASensorsOrientation
| Opaque type that models the orientation. More...
typedef void(* | on_orientation_event_cb) (UASOrientationEvent *event, void *context)
| Callback type used by applications to subscribe to orientation events. More...

## Functions

UBUNTU_DLL_PUBLIC UASensorsOrientation * | ua_sensors_orientation_new ()
| Create a new object for accessing the orientation sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_enable (UASensorsOrientation *sensor)
| Enables the supplied orientation sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_disable (UASensorsOrientation *sensor)
| Disables the supplied orientation sensor. More...
UBUNTU_DLL_PUBLIC uint32_t | ua_sensors_orientation_get_min_delay (UASensorsOrientation *sensor)
| Queries the minimum delay between two readings for the supplied sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_get_min_value (UASensorsOrientation *sensor, float *value)
| Queries the minimum value that can be reported by the sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_get_max_value (UASensorsOrientation *sensor, float *value)
| Queries the maximum value that can be reported by the sensor. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_get_resolution (UASensorsOrientation *sensor, float *value)
| Queries the numeric resolution supported by the sensor. More...
UBUNTU_DLL_PUBLIC void | ua_sensors_orientation_set_reading_cb (UASensorsOrientation *sensor, on_orientation_event_cb cb, void *ctx)
| Set the callback to be invoked whenever a new sensor reading is available. More...
UBUNTU_DLL_PUBLIC UStatus | ua_sensors_orientation_set_event_rate (UASensorsOrientation *sensor, uint32_t rate)
| Set the sensor event delivery rate in nanoseconds.. More...

## Typedef Documentation

typedef void(* on_orientation_event_cb) (UASOrientationEvent *event, void *context)

Callback type used by applications to subscribe to orientation events.

Definition at line 41 of file orientation.h.

typedef void UASensorsOrientation

Opaque type that models the orientation.

Definition at line 35 of file orientation.h.

## Function Documentation

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_disable | ( | UASensorsOrientation * | sensor | ) |

Disables the supplied orientation sensor.

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be disabled.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_enable | ( | UASensorsOrientation * | sensor | ) |

Enables the supplied orientation sensor.

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be enabled.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_get_max_value | ( | UASensorsOrientation * | sensor,
|  | float * | value
| ) |  |

Queries the maximum value that can be reported by the sensor.

Returns
  The maximum value that can be reported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC uint32_t ua_sensors_orientation_get_min_delay | ( | UASensorsOrientation * | sensor | ) |

Queries the minimum delay between two readings for the supplied sensor.

Returns
  The minimum delay between two readings in [ms].

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_get_min_value | ( | UASensorsOrientation * | sensor,
|  | float * | value
| ) |  |

Queries the minimum value that can be reported by the sensor.

Returns
  The minimum value that can be reported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_get_resolution | ( | UASensorsOrientation * | sensor,
|  | float * | value
| ) |  |

Queries the numeric resolution supported by the sensor.

Returns
  The numeric resolution supported by the sensor.

Parameters

  [in] | sensor | The sensor instance to be queried.

UBUNTU_DLL_PUBLIC UASensorsOrientation* ua_sensors_orientation_new | ( |  | ) |

Create a new object for accessing the orientation sensor.

Returns
  A new instance or NULL in case of errors.

UBUNTU_DLL_PUBLIC UStatus ua_sensors_orientation_set_event_rate | ( | UASensorsOrientation * | sensor,
|  | uint32_t | rate
| ) |  |

Set the sensor event delivery rate in nanoseconds..

Returns
  U_STATUS_SUCCESS if successful or U_STATUS_ERROR if an error occured.

Parameters

  [in] | sensor | The sensor instance to be modified.
  [in] | rate | The new event delivery rate.

UBUNTU_DLL_PUBLIC void ua_sensors_orientation_set_reading_cb | ( | UASensorsOrientation * | sensor,
|  | on_orientation_event_cb | cb,
|  | void * | ctx
| ) |  |

Set the callback to be invoked whenever a new sensor reading is available.

Parameters

  [in] | sensor | The sensor instance to associate the callback with.
  [in] | cb | The callback to be invoked.
  [in] | ctx | The context supplied to the callback invocation.